apiVersion: apps/v1  
kind: Deployment  
metadata:  
  name: ngx-otel-proxy
  namespace: observe
spec:  
  replicas: 1
  selector:  
    matchLabels:  
      app: nginx  
  template:  
    metadata:  
      labels:  
        app: nginx  
    spec:  
      containers:  
      - name: nginx  
        image: reg.cestong.com.cn/cecf/observe-server/nginx:1.14.12
        imagePullPolicy: IfNotPresent
        resources:
          limits:
            cpu: "100m"
          requests:
            cpu: "50m"
        ports:  
        - containerPort: 80
